package com.foreverwin.mesnac.equip.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author Max
 * @since 2021-03-11
 */

@TableName("Z_EMAIL_GROUP")

public class EmailGroup extends Model<EmailGroup> {

    private static final long serialVersionUID = 1L;

    /**
     * EmailGroupBO:SITE,EMAIL_GROUP
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 工厂
     */
   @TableField("SITE")
   private String site;
    /**
     * 邮箱群组
     */
   @TableField("EMAIL_GROUP")
   private String emailGroup;
    /**
     * 邮箱群组描述
     */
   @TableField("DESCRIPTION")
   private String description;
    /**
     * 维护时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 维护人员
     */
   @TableField("CREATED_USER")
   private String createdUser;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getEmailGroup() {
      return emailGroup;
   }

   public void setEmailGroup(String emailGroup) {
      this.emailGroup = emailGroup;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "EmailGroup{" +
         "handle = " + handle +
         ", site = " + site +
         ", emailGroup = " + emailGroup +
         ", description = " + description +
         ", createdDateTime = " + createdDateTime +
         ", createdUser = " + createdUser +
         "}";
   }
}